Subject: Re: bug#20373: automake 1.15 overwriting custom INSTALL file (fixed, not a bug)

From: Mathieu Lirzin <[email-masked]>
Date: Sat, 04 Mar 2017 13:50:33 +0100

Hello Emil

Emil <[email-masked]> writes:

> I just realized this is actually not a bug, and was simply caused by the
> -f option passed to autoreconf.
>
> Autoreconf seems to forward it to automake as the --force-missing option,
> which, according to the manual, "force[s] update of standard files".
>
> Autoreconf's man entry for -f simply states that it will "consider all
> files obsolete", which for me wasn't very clear about its implications,
> so I couldn't link it to the unwanted behavior I was experiencing.

The Autoreconf and its manual is maintained by Autoconf package.
You can report this documentation bug to <[email-masked]> if you want.

Thanks.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37